I just performed an upgrade from eDirectory 8.8.7 Patch 3 to eDirectory
8.8.8, and NDS is refusing to start. The upgrade appeared to run fine,
except that it failed to install google-perftools. The relevant snip
from nds-install.log:

--------------------------------------------------------------------
package perftools is not installed
package google-perftools is not installed
2017-09-21
09:38:49-04:00(Check-package-Existence)pkg=google-perftools,pkg_exists=0
2017-09-21 09:38:49-04:00
2017-09-21 09:38:49-04:00(Version,pkg_src_getter) pkg=google-perftools,
pkg_src=google-perftools*.rpm, version=1.8.1, release=7
2017-09-21 09:38:49-04:00(install
pkg)pkg=/opt/eDir888_tmp/setup/google-perftools-1.8.1-7.2.x86_64.rpm,pkgname=google-perftools
package google-perftools is not installed
package google-perftools is not installed
Preparing...
##################################################
file /usr/bin/pprof from install of google-perftools-1.8.1-7.2.x86_64
conflicts with file from package pprof-2.0-11.el6.3.noarch
file /usr/share/man/man1/pprof.1.gz from install of
google-perftools-1.8.1-7.2.x86_64 conflicts with file from package
pprof-2.0-11.el6.3.noarch
2017-09-21 09:38:50-04:00%%% Unable to install
/opt/eDir888_tmp/setup/google-perftools-1.8.1-7.2.x86_64.rpm , Exiting...
---------------------------------------------------------------------
The install appeared to be successful otherwise, but when I tried to
start eDirectory, it said "eDirectory is not listening on the TCP port /
is not listening on the TLS port." I rebooted the server -- same result.

In the ndsd.log file, I see this:

---------------------------------------------------------------------
About to start NetIQ eDirectory server on host: <server FQDN>
Path of NetIQ eDirectory configuration file:
/etc/opt/novell/eDirectory/conf/nds.conf
NCPShim Init failed, error -601
Started NetIQ eDirectory server on host: <server FQDN>
---------------------------------------------------------------------

What should I be checking?


Thanks